|  | Home · All Classes · Modules

# QStyleOptionGraphicsItem Class Reference
[QtGui module]

The QStyleOptionGraphicsItem class is used to describe the parameters needed to draw a QGraphicsItem. More...

Inherits QStyleOption.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionGraphicsItem other)

### Static Methods

- float levelOfDetailFromTransform (QTransform worldTransform)

### Members

- QRectF exposedRect
- float levelOfDetail
- QMatrix matrix

## Detailed Description

The QStyleOptionGraphicsItem class is used to describe the parameters needed to draw a QGraphicsItem.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters.

For an example demonstrating how style options can be used, see the Styles example.

## Type Documentation

### QStyleOptionGraphicsItem.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionGraphicsItem.Type` | `SO_GraphicsItem` | The type of style option provided (SO_GraphicsItem for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionGraphicsItem.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionGraphicsItem.Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionGraphicsItem.__init__ (self)

Constructs a QStyleOptionGraphicsItem.

### QStyleOptionGraphicsItem.__init__ (self, QStyleOptionGraphicsItem other)

Constructs a copy of other.

### float QStyleOptionGraphicsItem.levelOfDetailFromTransform (QTransform worldTransform)

Returns the level of detail from the worldTransform.

Its value represents the maximum value of the height and width of a unity rectangle, mapped using the worldTransform of the painter used to draw the item. By default, if no transformations are applied, its value is 1. If zoomed out 1:2, the level of detail will be 0.5, and if zoomed in 2:1, its value is 2.

This function was introduced in Qt 4.6.

## Member Documentation

### QRectF exposedRect

This variable holds the exposed rectangle, in item coordinates.

Make use of this rectangle to speed up item drawing when only parts of the item are exposed. If the whole item is exposed, this rectangle will be the same as QGraphicsItem.boundingRect().

This member is only initialized for items that have the QGraphicsItem.ItemUsesExtendedStyleOption flag set.

### float levelOfDetail

### QMatrix matrix